summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD45
2 files changed, 36 insertions, 13 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 362836b986f..341e9794780 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,8 @@
+# Generated by mksrcinfo v8
+# Thu Jun 29 19:57:49 UTC 2017
pkgbase = openvsp-git
pkgdesc = OpenVSP allows the user to create a 3D model of an aircraft defined by common engineering parameters.
- pkgver = 20150503
+ pkgver = 20170629
pkgrel = 1
url = http://www.openvsp.org
arch = i686
diff --git a/PKGBUILD b/PKGBUILD
index cf41adb9f77..334508265b6 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Contributor: Max Devaine <max@devaine.cz>
pkgname=openvsp-git
-pkgver=20150503
+pkgver=20170629
pkgrel=1
pkgdesc='OpenVSP allows the user to create a 3D model of an aircraft defined by common engineering parameters.'
arch=(i686 x86_64)
@@ -19,25 +19,46 @@ md5sums=('SKIP')
prepare() {
- if [ -d "${srcdir}/$pkgname/build" ] ; then
- rm -fr "${srcdir}/$pkgname/build"
+ if [ -d "${srcdir}/build" ] ; then
+ rm -fr "${srcdir}/build"
+ fi
+
+ if [ -d "${srcdir}/buildlibs" ] ; then
+ rm -fr "${srcdir}/buildlibs"
fi
- mkdir "${srcdir}/$pkgname/build"
+ mkdir "${srcdir}/buildlibs"
+ mkdir "${srcdir}/build"
}
build() {
- cd "$srcdir/$pkgname/build"
- cmake ../SuperProject \
- -DCMAKE_PREFIX_PATH='/usr' \
- -DVSP_USE_SYSTEM_FLTK=1 \
- -DVSP_USE_SYSTEM_GLEW=1 \
- -DVSP_USE_SYSTEM_LIBXML2=1
+ cd "$srcdir/buildlibs"
+ cmake ../$pkgname/Libraries/ \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_PREFIX_PATH='/usr' \
+ -DVSP_USE_SYSTEM_FLTK=true \
+ -DVSP_USE_SYSTEM_GLEW=true \
+ -DVSP_USE_SYSTEM_LIBXML2=true \
+ -DVSP_USE_SYSTEM_GLM=true \
+ -DVSP_USE_SYSTEM_CPPTEST=false \
+ -DVSP_USE_SYSTEM_EIGEN=false \
+ -DVSP_USE_SYSTEM_CMINPACK=false \
+ -DVSP_USE_SYSTEM_CODEELI=false
make || return 1
+
+ cd "$srcdir/build"
+ cmake ../$pkgname/src/ \
+ -DVSP_LIBRARY_PATH=$srcdir/buildlibs \
+ -DCMAKE_BUILD_TYPE=Release
+
+ make || return 1
}
package() {
- cd "$srcdir/$pkgname/build/OpenVSP-prefix/src/OpenVSP-build"
- cmake -DCMAKE_INSTALL_PREFIX="${pkgdir}/opt/openvsp" -P cmake_install.cmake
+ cd "$srcdir/build/"
+ cmake -DCMAKE_INSTALL_PREFIX="${pkgdir}/usr/openvsp" -P cmake_install.cmake
+ mkdir -p ${pkgdir}/usr/bin
+ cd ${pkgdir}/usr/openvsp
+ mv vsp vspaero vspscript vspviewer ${pkgdir}/usr/bin/
}